package net.knarcraft.knargui.item;

import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

/**
 * A class for crating visual items for the GUI
 */
@SuppressWarnings("unused")
public class GUIItemFactory extends AbstractGUIItemFactory<GUIItemFactory> {

    /**
     * Instantiates a new item factory
     *
     * @param material <p>The material to use for the new item</p>
     */
    public GUIItemFactory(Material material) {
        super(new ItemStack(material, 1));
        setChild(this);
    }

    /**
     * Instantiates a new item factory
     *
     * @param material <p>The material to use for the new item</p>
     * @param amount   <p>The number of items to be displayed</p>
     */
    public GUIItemFactory(Material material, int amount) {
        super(new ItemStack(material, amount));
        setChild(this);
    }

}
